#ifndef ENGINE_HULLU_H
#define ENGINE_HULLU_H

typedef struct
{
   char szClassname[64];
   int  iAmmo1;     // ammo index for primary ammo
   int  iAmmo1Max;  // max primary ammo
   int  iAmmo2;     // ammo index for secondary ammo
   int  iAmmo2Max;  // max secondary ammo
   int  iSlot;      // HUD slot (0 based)
   int  iPosition;  // slot position
   int  iId;        // weapon ID
   int  iFlags;     // flags???
} player_weapon_t;

typedef struct
{
   int  iId;     // weapon ID
   int  iClip;   // amount of ammo in the clip
   int  iAmmo1;  // amount of ammo in primary reserve
   int  iAmmo2;  // amount of ammo in secondary reserve
} current_weapon_t;

typedef struct
{
   int UserID;	// User ID .. Unchanged if someone leaves server!
   
   int player_weapons;				// bit map of weapons the player is carrying
   
   current_weapon_t current_weapon;  		// one current weapon for each player
   current_weapon_t previous_weapon;		// weapon state on previous check up
   
   int m_rgAmmo[MAX_AMMO_SLOTS];  		// total ammo amounts (1 array for each player)
} player_t;

#endif /* ENGINE_HULLU_H */

